(107) Anacondaをアップデートする。

投稿者: | 2019年10月29日

1. やりたいこと

Anaconda をインストールしてだいぶ時間が経過した。
そろそろ更新しようと思う。

2. やってみた

(1) パッケージを含めて全アップデートしたい。

$ conda update --all

すると、新規追加されるパッケージ、更新されるパッケージの一覧が表示される。

Package plan for installation in environment /home/hoge/anaconda3:

The following NEW packages will be INSTALLED:

    _libgcc_mutex:            0.1-free
    bkcharts:                 0.2-py36_0
    blas:                     1.0-mkl
    certifi:                  2016.2.28-py36_0
    pycodestyle:              2.3.1-py36_0
    sphinxcontrib:            1.0-py36_0
    sphinxcontrib-websupport: 1.0.1-py36_0

The following packages will be UPDATED:

    anaconda:                 4.4.0-np112py36_0  --> custom-py36_0
    anaconda-navigator:       1.6.2-py36_0       --> 1.6.4-py36_0
    astroid:                  1.4.9-py36_0       --> 1.5.3-py36_0
    astropy:                  1.3.2-np112py36_0  --> 2.0.1-np113py36_0
    babel:                    2.4.0-py36_0       --> 2.5.0-py36_0
    bokeh:                    0.12.5-py36_1      --> 0.12.7-py36_0
    boto:                     2.46.1-py36_0      --> 2.48.0-py36_0
    bottleneck:               1.2.1-np112py36_0  --> 1.2.1-np113py36_0
    chardet:                  3.0.3-py36_0       --> 3.0.4-py36_0
    cloudpickle:              0.2.2-py36_0       --> 0.4.0-py36_0
    conda:                    4.3.21-py36_0      --> 4.3.30-py36h5d9f9f4_0
    cython:                   0.25.2-py36_0      --> 0.26-py36_0
    dask:                     0.14.3-py36_1      --> 0.15.2-py36_0
    dbus:                     1.10.10-0          --> 1.10.20-0
    decorator:                4.0.11-py36_0      --> 4.1.2-py36_0
    distributed:              1.16.3-py36_0      --> 1.18.1-py36_0
    docutils:                 0.13.1-py36_0      --> 0.14-py36_0
    entrypoints:              0.2.2-py36_1       --> 0.2.3-py36_0
    flask-cors:               3.0.2-py36_0       --> 3.0.3-py36_0
    gevent:                   1.2.1-py36_0       --> 1.2.2-py36_0
    h5py:                     2.7.0-np112py36_0  --> 2.7.0-np113py36_0
    hdf5:                     1.8.17-1           --> 1.8.17-2
    html5lib:                 0.999-py36_0       --> 0.9999999-py36_0
    idna:                     2.5-py36_0         --> 2.6-py36_0
    ipython:                  5.3.0-py36_0       --> 6.1.0-py36_0
    isort:                    4.2.5-py36_0       --> 4.2.15-py36_0
    jupyter_client:           5.0.1-py36_0       --> 5.1.0-py36_0
    jupyter_console:          5.1.0-py36_0       --> 5.2.0-py36_0
    lazy-object-proxy:        1.2.2-py36_0       --> 1.3.1-py36_0
    libgcc:                   4.8.5-2            --> 5.2.0-0
    libpng:                   1.6.27-0           --> 1.6.30-1
    llvmlite:                 0.18.0-py36_0      --> 0.20.0-py36_0
    lxml:                     3.7.3-py36_0       --> 3.8.0-py36_0
    markupsafe:               0.23-py36_2        --> 1.0-py36_0
    matplotlib:               2.0.2-np112py36_0  --> 2.0.2-np113py36_0
    mkl:                      2017.0.1-0         --> 2017.0.3-0
    nbconvert:                5.1.1-py36_0       --> 5.2.1-py36_0
    nbformat:                 4.3.0-py36_0       --> 4.4.0-py36_0
    nltk:                     3.2.3-py36_0       --> 3.2.4-py36_0
    numba:                    0.33.0-np112py36_0 --> 0.35.0-np113py36_0
    numexpr:                  2.6.2-np112py36_0  --> 2.6.2-np113py36_0
    numpy:                    1.12.1-py36_0      --> 1.13.1-py36_0
    numpydoc:                 0.6.0-py36_0       --> 0.7.0-py36_0
    odo:                      0.5.0-py36_1       --> 0.5.1-py36_0
    openpyxl:                 2.4.7-py36_0       --> 2.4.8-py36_0
    pandas:                   0.20.1-np112py36_0 --> 0.20.3-py36_0
    pandocfilters:            1.4.1-py36_0       --> 1.4.2-py36_0
    pathlib2:                 2.2.1-py36_0       --> 2.3.0-py36_0
    pillow:                   4.1.1-py36_0       --> 4.2.1-py36_0
    prompt_toolkit:           1.0.14-py36_0      --> 1.0.15-py36_0
    ptyprocess:               0.5.1-py36_0       --> 0.5.2-py36_0
    py:                       1.4.33-py36_0      --> 1.4.34-py36_0
    pycparser:                2.17-py36_0        --> 2.18-py36_0
    pyflakes:                 1.5.0-py36_0       --> 1.6.0-py36_0
    pylint:                   1.6.4-py36_1       --> 1.7.2-py36_0
    pyodbc:                   4.0.16-py36_0      --> 4.0.17-py36_0
    pyparsing:                2.1.4-py36_0       --> 2.2.0-py36_0
    pytables:                 3.3.0-np112py36_0  --> 3.4.2-np113py36_0
    pytest:                   3.0.7-py36_0       --> 3.2.1-py36_0
    python:                   3.6.1-2            --> 3.6.2-0
    python-dateutil:          2.6.0-py36_0       --> 2.6.1-py36_0
    pywavelets:               0.5.2-np112py36_0  --> 0.5.2-np113py36_0
    qt:                       5.6.2-4            --> 5.6.2-5
    qtconsole:                4.3.0-py36_0       --> 4.3.1-py36_0
    qtpy:                     1.2.1-py36_0       --> 1.3.1-py36_0
    scikit-image:             0.13.0-np112py36_0 --> 0.13.0-np113py36_0
    scikit-learn:             0.18.1-np112py36_1 --> 0.19.0-np113py36_0
    scipy:                    0.19.0-np112py36_0 --> 0.19.1-np113py36_0
    seaborn:                  0.7.1-py36_0       --> 0.8-py36_0
    setuptools:               27.2.0-py36_0      --> 36.4.0-py36_1
    sphinx:                   1.5.6-py36_0       --> 1.6.3-py36_0
    spyder:                   3.1.4-py36_0       --> 3.2.3-py36_0
    sqlalchemy:               1.1.9-py36_0       --> 1.1.13-py36_0
    statsmodels:              0.8.0-np112py36_0  --> 0.8.0-np113py36_0
    sympy:                    1.0-py36_0         --> 1.1.1-py36_0
    testpath:                 0.3-py36_0         --> 0.3.1-py36_0
    tornado:                  4.5.1-py36_0       --> 4.5.2-py36_0
    widgetsnbextension:       2.0.0-py36_0       --> 3.0.2-py36_0
    wrapt:                    1.10.10-py36_0     --> 1.10.11-py36_0
    xlrd:                     1.0.0-py36_0       --> 1.1.0-py36_0
    xlsxwriter:               0.9.6-py36_0       --> 0.9.8-py36_0
    xlwt:                     1.2.0-py36_0       --> 1.3.0-py36_0
    xz:                       5.2.2-1            --> 5.2.3-0
    zlib:                     1.2.8-3            --> 1.2.11-0

Proceed ([y]/n)?

y キーを押下すればアップデートが実行される。

(2) 任意のパッケージだけをアップデートしたい。

任意のパッケージ名 xxxxxxxx を指定すればよい。
パッケージ名 は、前述の (1)に記した一覧の左端列に表示されているものだ。

$ conda update xxxxxxxx

(3) インストールされているパッケージを一覧表示したい。

$ conda list

パッケージ名とバージョンが表示される。

# packages in environment at /home/hoge/anaconda3:
#
_libgcc_mutex             0.1                        free
_license                  1.1                      py36_1
alabaster                 0.7.10                   py36_0
anaconda                  custom                   py36_0
anaconda-client           1.6.3                    py36_0
anaconda-navigator        1.6.4                    py36_0
anaconda-project          0.6.0                    py36_0
asn1crypto                0.22.0                   py36_0
astroid                   1.5.3                    py36_0
astropy                   2.0.1               np113py36_0
babel                     2.5.0                    py36_0
backports                 1.0                      py36_0
beautifulsoup4            4.6.0                    py36_0
bitarray                  0.8.1                    py36_0
bkcharts                  0.2                      py36_0
blas                      1.0                         mkl
blaze                     0.10.1                   py36_0
bleach                    1.5.0                    py36_0
bokeh                     0.12.7                   py36_0
boto                      2.48.0                   py36_0
bottleneck                1.2.1               np113py36_0
cairo                     1.14.8                        0
 :
以下省略

Anacondaのインストール手順はこちらを参照のこと。
(47) matplotlibでグラフ表示できない [解決]

参考

ありがとうございます。m(_ _)m
https://qiita.com/naz_/items/84634fbd134fbcd25296


コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

*